VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
VisiMath.Collisions.IHierarchicalSpatialCell< TObject > Interface Template Reference

Hiearchical spatial cell which contains more sub nodes. More...

Inheritance diagram for VisiMath.Collisions.IHierarchicalSpatialCell< TObject >:

List of all members.

## Public Member Functions
ISpatialIndex | GetSubNodeIndex (int index)
| Returns spatial index for subnode.
ISpatialCell< TObject > | GetSubNode (int index)
| Returns subnode with specified integer index.
ISpatialCell< TObject > | GetSubNode (ref ISpatialIndex index)
| Returns this or subnode with specified spatial index (unlike GetNode doesn't move up in hiearchy)
## Properties
ISpatialCell< TObject > | Root`[get, set]`
| Root of the spatial indexer (owner of the spatial cell list / tree)
int | SubNodeCount`[get]`
| Number of the subnodes in indexer for hiearchical indexing.
int | TotalSubNodeCount`[get]`
| Total number of the subnodes in indexer for hiearchical indexing.

## Detailed Description

### template<TObject>
interface VisiMath::Collisions::IHierarchicalSpatialCell< TObject >

Hiearchical spatial cell which contains more sub nodes.

Type Constraints

  TObject | : | ISpatialyIndexable |

## Member Function Documentation

template<TObject >

ISpatialCell<TObject> VisiMath.Collisions.IHierarchicalSpatialCell< TObject >.GetSubNode | ( | int | index | ) |

Returns subnode with specified integer index.

Parameters:

  index | index of the subnode (valid are 0 to SubNodeCount

Returns:
  Subnode

Implemented in VisiMath.Collisions.Grid2D< TObject, TGridCell >, and VisiMath.Collisions.HierarchicalSpatialCell< TObject, TSubCell >.

template<TObject >

ISpatialCell<TObject> VisiMath.Collisions.IHierarchicalSpatialCell< TObject >.GetSubNode | ( | ref ISpatialIndex | index | ) |

Returns this or subnode with specified spatial index (unlike GetNode doesn't move up in hiearchy)

Parameters:

  index | Spatial index

Returns:
  Subnode containg index or this

Implemented in VisiMath.Collisions.Grid2D< TObject, TGridCell >, and VisiMath.Collisions.HierarchicalSpatialCell< TObject, TSubCell >.

template<TObject >

ISpatialIndex VisiMath.Collisions.IHierarchicalSpatialCell< TObject >.GetSubNodeIndex | ( | int | index | ) |

Returns spatial index for subnode.

Parameters:

  index | index of the subnode (valid are 0 to SubNodeCount

Returns:
  Spatial index

Implemented in VisiMath.Collisions.Grid2D< TObject, TGridCell >, and VisiMath.Collisions.HierarchicalSpatialCell< TObject, TSubCell >.

## Property Documentation

template<TObject >

ISpatialCell<TObject> VisiMath.Collisions.IHierarchicalSpatialCell< TObject >.Root`[get, set]`

Root of the spatial indexer (owner of the spatial cell list / tree)

Implemented in VisiMath.Collisions.HierarchicalSpatialCell< TObject, TSubCell >.

template<TObject >

int VisiMath.Collisions.IHierarchicalSpatialCell< TObject >.SubNodeCount`[get]`

Number of the subnodes in indexer for hiearchical indexing.

Implemented in VisiMath.Collisions.Grid2D< TObject, TGridCell >, and VisiMath.Collisions.HierarchicalSpatialCell< TObject, TSubCell >.

template<TObject >

int VisiMath.Collisions.IHierarchicalSpatialCell< TObject >.TotalSubNodeCount`[get]`

Total number of the subnodes in indexer for hiearchical indexing.

Implemented in VisiMath.Collisions.HierarchicalSpatialCell< TObject, TSubCell >.

The documentation for this interface was generated from the following file:

- ISpatialPortion.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events